%define rbname RMagick
%define version 1.13.0
%define release %mkrel 2

Summary: ImageMagick extension for Ruby
Name: ruby-%{rbname}
Version: %{version}
Release: %{release}
Group: Development/Other
License: BSD-like
URL: http://rmagick.rubyforge.org
Source0: %{rbname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel
BuildRequires: libMagick-devel
Provides: ruby-rvg

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
A binding for ImageMagick and GraphicsMagics.
This release includes RVG. 

%prep
%setup -q -n %rbname-%version

%build
./configure
sed -i -e 's/-ldotneato//' ext/RMagick/extconf.rb
ruby setup.rb config --doc-dir=%{buildroot}%{_datadir}/doc/%{name}-%{version}
make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb install --prefix=%buildroot
for f in `find doc examples -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done
chmod 0755 %{buildroot}%{ruby_archdir}/*.so

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README.html README.txt ChangeLog doc examples
%{ruby_libdir}/*.rb
%{ruby_libdir}/rvg
%{ruby_archdir}/*.so

%changelog
* Mon Aug 17 2006 Emmanuel Andry <eandry@mandriva.org> 1.13.0-2mdv2007.0
- rebuild for Imagick

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.13.0-1mdv2007.0
- 1.13.0

* Sat Jan 21 2006 Pascal Terjan <pterjan@mandriva.org> 1.9.3-2mdk
- rebuilt

* Sun Oct 30 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.3-1mdk
- 1.9.3

* Fri Sep 16 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.2-1mdk
- 1.9.2

* Thu Sep 08 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.1-1mdk
- 1.9.1
- mkrel

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-2mdk
- rebuilt against new Magick libs

* Sun Jul 17 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.0-1mdk
- 1.9.0

* Thu Jul 07 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.3-2mdk
- Don't own %{ruby_archdir}

* Sat Jun 18 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.3-1mdk
- 1.8.3
- fix rights on examples

* Sat Jun 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.2-1mdk
- 1.8.2

* Thu Jun 02 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.1-1mdk
- First package
